Subject: bug#71847: Self-inflicted problem, libtool and automake installed to different prefixes

From: Dave Hart <[email-masked]>
Date: Tue, 9 Jul 2024 23:25:47 +0000

On Mon, 8 Jul 2024 at 22:05, Karl Berry <[email-masked]> wrote:

> I've committed the changes below to help give more hints about the need
> to run libtoolize. I ended up adding a new section to the manual and
> referring to it from the alpha-NEWS and variable warning. It's in the
> below patch as the new
>   @node Libtool library used but LIBTOOL is undefined
>
> After making a hello,world using libtool (attached for my own memory :),
> I found that just running aclocal -I... did not suffice.  After the
> aclocal run, the next error was:
>   configure.ac:9: error: required file './ltmain.sh' not found
> just as already described in the manual (preceding node).  So running
> libtoolize is needed, not just playing with -I options, as far as I can
> tell.
>
> I also discovered that although libtoolize only asks you to "consider"
> creating an m4/ subdir for macros, in fact it is a requirement, at least
> in the case of automake and libtool in different prefixes.  Without
> AC_CONFIG_MACRO_DIRS([m4]), the original
> "error: Libtool library used but 'LIBTOOL' is undefined" persists.
>
> (Aside: It was also rather irritating to have to run automake
> --add-missing three separate times as new pieces were found. Oh well.)
>
> It's all quite a confusing conglomeration, but I don't think there's
> anything to do about here.
>
> I guess I will leave this open in hopes of figuring out that m4 stub
> approach, but this is all I can see to do for the 1.17 release.  (I've
> got nothing else pending for 1.17, so if anyone knows of a reason to
> delay, let me know asap.) --thanks, karl.
>

This looks great, Karl, thanks for all your time investigating and
documenting the issue.  Lots of nice nit-fixing too!

Cheers,
Dave Hart